<?php
/*
This file is part of Thomas Bley's moregroupware webmail2/calendar2/admin2 module. (tb-mgw)

More information:
-----------------

Simple Groupware Solutions Thomas Bley
Fichtenstr. 23
Germany, 85640 Putzbrunn

Contact:
--------

info@simple-groupware.de

http://www.simple-groupware.de


Copyright 2002-2003 Thomas Bley
tb-mgw is distributed under the terms of the GNU General Public License 

tb-mgw is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

tb-mgw is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with tb-mgw; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Norefer
// Moregroupware.org

  error_reporting  (E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

  
  $url = urldecode(trim(substr($_SERVER["QUERY_STRING"],strpos($_SERVER["QUERY_STRING"],"=")+1)));
  
  if (strpos("@".$url,"mailto:")==1) {
    $to = str_replace("mailto:","",trim(htmlentities(strip_tags($url))));

    $pattern = '/^([.0-9a-z_-]+)@(([0-9a-z-]+\.)+[0-9a-z]{2,4})$/i';
    if (preg_match($pattern, trim($to), $matches)) {
      echo "<script>parent.rightframe.location='sendmail.php?to=".$to.";'</script>";
	  exit;
    } else {
	  die("Link restricted");
	}
  } else if (strpos($url,"://")) {
    Header("Location: ".str_replace(array("<",">"),"",$url));
	exit;
  } else {die("Link restricted");}
?>